/*
  Copyright 2018-2020, Barcelona Supercomputing Center (BSC), Spain
  Copyright 2015-2020, Johannes Gutenberg Universitaet Mainz, Germany

  This software was partially supported by the
  EC H2020 funded project NEXTGenIO (Project ID: 671951, www.nextgenio.eu).

  This software was partially supported by the
  ADA-FS project under the SPPEXA project funded by the DFG.

  SPDX-License-Identifier: MIT
*/

#ifndef GEKKOFS_FORWARD_DATA_PROXY_HPP
#define GEKKOFS_FORWARD_DATA_PROXY_HPP

#include <common/common_defs.hpp>

namespace gkfs {
namespace rpc {

ssize_t
forward_write_proxy(const std::string& path, const void* buf, bool append_flag,
                    off64_t in_offset, size_t write_size,
                    int64_t updated_metadentry_size);

ssize_t
forward_read_proxy(const std::string& path, void* buf, off64_t offset,
                   size_t read_size);

std::pair<int, ChunkStat>
forward_get_chunk_stat_proxy();

} // namespace rpc
} // namespace gkfs

#endif // GEKKOFS_FORWARD_DATA_PROXY_HPP
